.sns-box {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.sns-box.is-post-detail--content {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}
.sns-box__item.is-post-detail--content {
    margin: 0 12px;
}
.sns-box__anchor.is-icon--twitter,
.sns-box__anchor.is-icon--facebook,
.sns-box__anchor.is-icon--hatena,
.sns-box__anchor.is-icon--line {
    border-color: #000000;
}
.sns-box__anchor.is-icon--twitter:hover,
.sns-box__anchor.is-icon--twitter:active{
    background-color: #000;
    border-color: #000;
}
.sns-box__anchor.is-icon--twitter:hover .c-icon-twitter,
.sns-box__anchor.is-icon--twitter:active .c-icon-twitter {
    fill: #FFFFFF;
    -webkit-transition: all 0.15s ease;
    transition: all 0.15s ease;
}
.c-icon-twitter {
    display: block;
    margin: 0 auto;
}
.sns-box__anchor {
    display: block;
    width: 48px;
    height: 48px;
    line-height: 1;
    background-color: #FFFFFF;
    border-radius: 50%;
    text-decoration: none;
    text-align: center;
    position: relative;
    background-repeat: no-repeat;
    border-width: 2px;
    border-style: solid;
    -webkit-transition: all 0.15s ease;
    transition: all 0.15s ease;
}
.c-icon-twitter.is-post-detail--footer {
    width: 16px;
    height: 100%;
    fill: #000000;
}
.c-icon-facebook {
    display: block;
    margin: 0 auto;
    padding: 0 1px 0 0;
}
.c-icon-facebook.is-post-detail--footer {
    width: 10px;
    height: 100%;
    fill: #000000;
}
.sns-box__anchor.is-icon--facebook:hover, .sns-box__anchor.is-icon--facebook:active {
    background-color: #3B5998;
    border-color: #3B5998;
}
.sns-box__anchor.is-icon--facebook:hover .c-icon-facebook,
.sns-box__anchor.is-icon--facebook:active .c-icon-facebook {
    fill: #FFFFFF;
    -webkit-transition: all 0.15s ease;
    transition: all 0.15s ease;
}
.c-icon-hatena {
    display: block;
    margin: 0 auto;
}
.c-icon-hatena.is-post-detail--footer {
    width: 16px;
    height: 100%;
    fill: #000000;
}
.sns-box__anchor.is-icon--hatena:hover, .sns-box__anchor.is-icon--hatena:active {
    background-color: #00A4DE;
    border-color: #00A4DE;
}
.sns-box__anchor.is-icon--hatena:hover .c-icon-hatena,
.sns-box__anchor.is-icon--hatena:active .c-icon-hatena {
    fill: #FFFFFF;
    -webkit-transition: all 0.15s ease;
    transition: all 0.15s ease;
}
.c-icon-line {
    display: block;
    margin: 0 auto;
}
.c-icon-line.is-post-detail--footer {
    width: 24px;
    height: 100%;
    fill: #000000;
}
.sns-box__anchor.is-icon--line:hover, .sns-box__anchor.is-icon--line:active {
    background-color: #00b900;
    border-color: #00b900;
}
.sns-box__anchor.is-icon--line:hover .c-icon-line,
.sns-box__anchor.is-icon--line:active .c-icon-line {
    fill: #FFFFFF;
    -webkit-transition: all 0.15s ease;
    transition: all 0.15s ease;
}
